from django.db import models

# Create your models here.
class Contact(models.Model):
    STATUS_CHOICES = [
        ('Treated','Treated'),
        ('New', 'New'),
        ('Pending', 'Pending')
    ]
    name = models.CharField(max_length=40, blank=True, null=True)
    email = models.EmailField(null=True)
    phone_number = models.CharField(max_length=20, blank=True, null=True)
    message = models.TextField(max_length=500, null=True)
    created = models.DateTimeField(auto_now_add=True, null=True)
    status = models.CharField(max_length=9, choices=STATUS_CHOICES, default='New', blank=True, null=True)
    updated = models.DateTimeField(auto_now=True, null=True)

    class Meta:
        ordering = ('-created',)
        verbose_name = 'Contact us Message'
        verbose_name_plural = 'Contact us Messages'

    def __str__(self):
        return str(self.name)

class Schedule(models.Model):
    document = models.FileField(upload_to='schedule/', null=True, blank=True, verbose_name="Attachment")

    created = models.DateTimeField(auto_now_add=True)
    updated = models.DateTimeField(auto_now=True)

    class Meta:
        ordering = ('-created',)

    # def __str__(self):
    #     try:
    #         return str(self.title)
    #     except:
    #         return str(self.id)
